Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

FoxyStripe is a Silverstripe module designed to integrate with Foxycart (www.foxycart.com), a really nice and flexible shopping cart that integrates seamlessly with CMS's and is PCI Compliant.

branch: master
README
FoxyStripe is a Silverstripe module designed to integrate with Foxycart (www.foxycart.com), a very nice and flexible shopping cart that integrates very seamlessly with other CMS's and is PCI Compliant.

This module provides templates and classes that create the forms which submit to foxycart's shopping cart.

this module's documentation could be better right now, but i just want to start sharing this.



things ive noticed:
for me, it helped to put all requirements in php and not in the templates, since i needed to block jquery and other scripts in page_controller::init().

if you are using conditional CSS statements for ie6, etc, make sure you tie them to the base url..

example in Page_Controller::init() function

BAD:
$tags = '<!--[if IE 6]><link rel="stylesheet" type="text/css" href="themes/mysite/css/ie6.css" ><![endif]-->';
Requirements::insertHeadTags($tags);

Good:
$tags = '<!--[if IE 6]><link rel="stylesheet" type="text/css" href="'.Director::absoluteBaseURL().'themes/mysite/css/ie6.css" ><![endif]-->';
Requirements::insertHeadTags($tags);

Something went wrong with that request. Please try again.